## kactivitymanagerd 6.5.0

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.5.0")
set(PROJECT_DEP_VERSION "6.5.0")

project (KActivityManagerd VERSION ${PROJECT_VERSION})

set (QT_MIN_VERSION "6.9.0")
set (KF6_MIN_VERSION "6.18.0")
set (KDE_COMPILERSETTINGS_LEVEL "5.82")
set (Boost_MINIMUM_VERSION "1.58")

# We don't build in-source
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message (
      FATAL_ERROR
      "kactivities require an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there."
   )
endif ()

set (KACTIVITIES_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# Extra CMake stuff
include (FeatureSummary)
find_package(ECM ${KF6_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES
    DESCRIPTION "Extra CMake Modules."
    URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules"
    TYPE REQUIRED
)
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include (KDEInstallDirs)
include (KDECMakeSettings)
include (KDECompilerSettings NO_POLICY_SCOPE)
include (GenerateExportHeader)
include (ECMConfiguredInstall)
include (ECMGenerateDBusServiceFile)
include (ECMGenerateHeaders)
include (ECMQtDeclareLoggingCategory)
include (KDEClangFormat)
include (KDEGitCommitHooks)
include (ECMDeprecationSettings)
include (ECMSetupVersion)

set (CMAKE_CXX_STANDARD 20)
set (CMAKE_CXX_STANDARD_REQUIRED ON)

# Qt
find_package (Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Widgets)

# KDE Frameworks
find_package (KF6DBusAddons ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6I18n ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6Crash ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6KIO ${KF6_MIN_VERSION} CONFIG REQUIRED)

# Adding local CMake modules
set (
   CMAKE_MODULE_PATH
   ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH}
   )

add_definitions(
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)
add_definitions (-DTRANSLATION_DOMAIN=\"kactivities6\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install (po)
endif ()

if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
   set (CMAKE_CXX_VISIBILITY_PRESET default)
   set (CMAKE_VISIBILITY_INLINES_HIDDEN 0)
endif ()

ecm_set_disabled_deprecation_versions(QT 6.9.0
    KF 6.16.0
)

ecm_setup_version(PROJECT VARIABLE_PREFIX KACTIVITYMANAGERD
                  VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h
                  )

add_subdirectory (src)

# add clang-format target for all our real source files
file (GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
        EXPORT KACTIVITYMANAGERD
        FILE kactivitymanagerd.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/service/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

project (ActivityManager)

# General
find_package (ECM 0.0.8 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

find_package (Qt6 REQUIRED NO_MODULE COMPONENTS Sql Gui Widgets)

find_package (KF6Config ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6CoreAddons ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6I18n ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6GlobalAccel ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6XmlGui ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6KIO ${KF6_MIN_VERSION} CONFIG REQUIRED)
find_package (KF6Crash ${KF6_MIN_VERSION} CONFIG REQUIRED)


# Standard stuff

add_library(kactivitymanagerd_plugin SHARED Plugin.cpp Module.cpp Event.cpp)
generate_export_header(kactivitymanagerd_plugin)
target_link_libraries(kactivitymanagerd_plugin
    PUBLIC Qt::Core Qt::DBus KF6::CoreAddons KF6::ConfigCore
    PRIVATE debug_STATIC
)

add_subdirectory (plugins)

set (kactivitymanager_SRCS
   Application.cpp
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.Activities.cpp

   Activities.cpp
   Resources.cpp
   Features.cpp
   Config.cpp

   )

qt_add_dbus_adaptor (
   kactivitymanager_SRCS
   ../common/dbus/org.kde.ActivityManager.Activities.xml
   Activities.h Activities
   )

qt_add_dbus_adaptor (
   kactivitymanager_SRCS
   ../common/dbus/org.kde.ActivityManager.Resources.xml
   Resources.h Resources
   )

qt_add_dbus_adaptor (
   kactivitymanager_SRCS
   ../common/dbus/org.kde.ActivityManager.Features.xml
   Features.h Features
   )

add_executable (kactivitymanagerd ${kactivitymanager_SRCS})

target_include_directories(kactivitymanagerd PRIVATE ${CMAKE_BINARY_DIR})

target_link_libraries (kactivitymanagerd
   Qt::Core
   Qt::DBus
   Qt::Gui
   KF6::DBusAddons
   KF6::CoreAddons
   KF6::ConfigCore
   KF6::I18n
   KF6::Crash
   kactivitymanagerd_plugin
   debug_STATIC
   )

########### install application ###############

install (TARGETS
    kactivitymanagerd
    DESTINATION ${KDE_INSTALL_LIBEXECDIR}
   )

install (TARGETS
   kactivitymanagerd_plugin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
   )

=== src/service/plugins/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

function(kamd_add_plugin plugin_name)
   kcoreaddons_add_plugin(${plugin_name} ${ARGN} INSTALL_NAMESPACE ${KAMD_PLUGIN_DIR})
   target_link_libraries(${plugin_name} kactivitymanagerd_plugin)
endfunction()
add_subdirectory (sqlite)
add_subdirectory (activitytemplates)
add_subdirectory (globalshortcuts)
add_subdirectory (recentlyused-eventspy)
add_subdirectory (runapplication)
add_subdirectory (krunner)
add_subdirectory (libreoffice-spy)

=== src/service/plugins/sqlite/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
set (
   sqliteplugin_SRCS
   Database.cpp
   StatsPlugin.cpp
   ResourceScoreCache.cpp
   ResourceScoreMaintainer.cpp
   ResourceLinking.cpp

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/database/Database.cpp
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/database/schema/ResourcesDatabaseSchema.cpp

   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/utils/qsqlquery_iterator.cpp
   )

qt_add_dbus_adaptor (
   sqliteplugin_SRCS
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesLinking.xml
   ResourceLinking.h ResourceLinking
   resourcelinkingadaptor
   )

qt_add_dbus_adaptor (
   sqliteplugin_SRCS
   ${KACTIVITIES_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesScoring.xml
   StatsPlugin.h StatsPlugin
   resourcescoringadaptor
   )

kamd_add_plugin(org.kde.ActivityManager.ResourceScoring SOURCES ${sqliteplugin_SRCS})

target_link_libraries(org.kde.ActivityManager.ResourceScoring 
   Qt::Sql
   KF6::KIOCore
   KF6::DBusAddons
   KF6::Crash
   debug_STATIC
)

=== debian/changelog ===
kactivitymanagerd (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 21:57:37 +0200

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libboost-dev (>= 1.58~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/kactivitymanagerd
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivitymanagerd
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivitymanagerd.git

Package: kactivitymanagerd
Architecture: any
Depends: libqt6sql6-sqlite,
         ${misc:Depends},
         ${shlibs:Depends},
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

## kactivitymanagerd 6.5.0+p24.04+vstable+git20251021.0856

=== debian/changelog ===
kactivitymanagerd (6.5.0+p24.04+vstable+git20251021.0856-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:56:20 +0000

kactivitymanagerd (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:18:15 +0000

## kactivitymanagerd 6.5.0+p24.04+vunstable+git20251021.0748

=== debian/changelog ===
kactivitymanagerd (6.5.0+p24.04+vunstable+git20251021.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 07:48:58 +0000

## kactivitymanagerd 6.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.0")
-set(PROJECT_DEP_VERSION "6.5.0")
+set(PROJECT_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.1")
 
 project (KActivityManagerd VERSION ${PROJECT_VERSION})

=== src/service/plugins/globalshortcuts/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
kamd_add_plugin(org.kde.ActivityManager.GlobalShortcuts SOURCES GlobalShortcutsPlugin.cpp)

target_link_libraries (org.kde.ActivityManager.GlobalShortcuts
   Qt::Widgets
   KF6::GlobalAccel
   KF6::I18n
   KF6::XmlGui
)

=== src/service/plugins/libreoffice-spy/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
kamd_add_plugin(org.kde.ActivityManager.LibreOfficeEventSpy SOURCES LibreOfficeEventSpy.cpp)

ecm_qt_declare_logging_category(org.kde.ActivityManager.LibreOfficeEventSpy
   HEADER DebugLibreOfficeEventSpy.h
   IDENTIFIER KAMD_LOG_PLUGIN_LIBREOFFICE_EVENTSPY
   CATEGORY_NAME org.kde.kactivities.plugin.libreoffice-eventspy
   DEFAULT_SEVERITY Warning
   DESCRIPTION "KActivities LibreOffice Event Spy Resources" EXPORT KACTIVITYMANAGERD)

target_link_libraries(org.kde.ActivityManager.LibreOfficeEventSpy
   Qt::Xml
   KF6::Service
)

=== debian/changelog ===
kactivitymanagerd (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:07:54 +0100

## kactivitymanagerd 6.5.1+p24.04+vstable+git20251029.0631

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 set(PROJECT_DEP_VERSION "6.5.1")
 
 project (KActivityManagerd VERSION ${PROJECT_VERSION})

=== debian/changelog ===
kactivitymanagerd (6.5.1+p24.04+vstable+git20251029.0631-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:31:30 +0000

kactivitymanagerd (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:39:12 +0000

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kservice-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libboost-dev (>= 1.49~),
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/kactivitymanagerd
Vcs-Git: https://invent.kde.org/neon/kde/kactivitymanagerd.git
Vcs-Browser: https://invent.kde.org/neon/kde/kactivitymanagerd
Maintainer: Neon CI <neon@kde.org>

Package: kactivitymanagerd
Architecture: any
Depends: qt6-base, ${misc:Depends}, ${shlibs:Depends}
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

## kactivitymanagerd 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(PROJECT_VERSION "6.5.2")
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 
 project (KActivityManagerd VERSION ${PROJECT_VERSION})

=== src/service/plugins/activitytemplates/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

qt_add_dbus_adaptor(activitytemplates_DBUS_SRCS
   org.kde.ActivityManager.Templates.xml
   TemplatesPlugin.h TemplatesPlugin
   )

kamd_add_plugin(org.kde.ActivityManager.ActivityTemplates SOURCES TemplatesPlugin.cpp ${activitytemplates_DBUS_SRCS})

target_link_libraries(org.kde.ActivityManager.ActivityTemplates
   KF6::DBusAddons
)

=== debian/changelog ===
kactivitymanagerd (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:22:39 +0100

## kactivitymanagerd 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.2")
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.5.3")
 
 project (KActivityManagerd VERSION ${PROJECT_VERSION})

=== debian/changelog ===
kactivitymanagerd (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:22:49 +0100

## kactivitymanagerd 6.5.3+p24.04+vstable+git20251130.0943

=== debian/changelog ===
kactivitymanagerd (6.5.3+p24.04+vstable+git20251130.0943-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 09:43:04 +0000

kactivitymanagerd (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:14:02 +1000

kactivitymanagerd (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:16 +1000

## kactivitymanagerd 6.5.3+p24.04+vunstable+git20251123.0114

=== debian/changelog ===
kactivitymanagerd (6.5.3+p24.04+vunstable+git20251123.0114-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:14:41 +0000

## kactivitymanagerd 6.5.3+p24.04+vunstable+git20251130.0457

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.3")
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.80")
+set(PROJECT_DEP_VERSION "6.4.90")
 
 project (KActivityManagerd VERSION ${PROJECT_VERSION})

=== debian/changelog ===
kactivitymanagerd (6.5.3+p24.04+vunstable+git20251130.0457-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 04:57:50 +0000

## kactivitymanagerd 6.5.4

=== debian/changelog ===
kactivitymanagerd (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:16:34 +0000

kactivitymanagerd (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:06:12 +0000

kactivitymanagerd (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:10:50 +0000

kactivitymanagerd (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:45:06 +0000

kactivitymanagerd (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:35:48 +0100

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libboost-dev (>= 1.58~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               qt6-base-dev (>= 6.9.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kactivitymanagerd
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd
Rules-Requires-Root: no

Package: kactivitymanagerd
Architecture: any
Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends},
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

## kactivitymanagerd 6.5.4+p24.04+vstable+git20251209.1237

=== debian/changelog ===
kactivitymanagerd (6.5.4+p24.04+vstable+git20251209.1237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 12:37:10 +0000

kactivitymanagerd (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:22:20 +1000

## kactivitymanagerd 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_VERSION "6.5.5")
+set(PROJECT_DEP_VERSION "6.5.5")
 
 project (KActivityManagerd VERSION ${PROJECT_VERSION})

=== debian/changelog ===
kactivitymanagerd (6.5.5-0zneon+24.04+noble+release+build52) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 09:29:39 +0000

kactivitymanagerd (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:31:20 +1000

## kactivitymanagerd 6.5.5+p24.04+vstable+git20260116.1130

=== debian/changelog ===
kactivitymanagerd (6.5.5+p24.04+vstable+git20260116.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 16 Jan 2026 11:30:50 +0000

## kactivitymanagerd 6.5.5+p24.04+vstable+git20260129.0125

=== debian/changelog ===
kactivitymanagerd (6.5.5+p24.04+vstable+git20260129.0125-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 01:25:06 +0000

## kactivitymanagerd 6.5.5+p24.04+vunstable+git20260124.0156

=== debian/changelog ===
kactivitymanagerd (6.5.5+p24.04+vunstable+git20260124.0156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 24 Jan 2026 01:56:03 +0000

## kactivitymanagerd 6.5.5+p24.04+vunstable+git20260126.0859

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.5")
-set(PROJECT_DEP_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
+set(PROJECT_DEP_VERSION "6.5.90")
 
 project (KActivityManagerd VERSION ${PROJECT_VERSION})
 
-set (QT_MIN_VERSION "6.9.0")
-set (KF6_MIN_VERSION "6.18.0")
+set (QT_MIN_VERSION "6.10.0")
+set (KF6_MIN_VERSION "6.22.0")
 set (KDE_COMPILERSETTINGS_LEVEL "5.82")
 set (Boost_MINIMUM_VERSION "1.58")

=== debian/changelog ===
kactivitymanagerd (6.5.5+p24.04+vunstable+git20260126.0859-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 08:59:55 +0000

## kactivitymanagerd 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.80")
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.1")
 
 project (KActivityManagerd VERSION ${PROJECT_VERSION})

=== debian/changelog ===
kactivitymanagerd (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:12:31 +0000

kactivitymanagerd (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:43:18 +0000

kactivitymanagerd (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:53:58 +0000

=== debian/control ===
Source: kactivitymanagerd
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libboost-dev (>= 1.58~),
               libkf6config-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6crash-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6globalaccel-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6kio-dev (>= 6.22.0~),
               libkf6windowsystem-dev (>= 6.22.0~),
               libkf6xmlgui-dev (>= 6.22.0~),
               qt6-base-dev (>= 6.10.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kactivitymanagerd
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivitymanagerd
Rules-Requires-Root: no

Package: kactivitymanagerd
Architecture: any
Depends: libqt6sql6-sqlite, ${misc:Depends}, ${shlibs:Depends},
Description: System service to manage user's activities
 System service to manage user's activities, track the usage patterns
 etc.

## kactivitymanagerd 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.1")
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
+set(PROJECT_DEP_VERSION "6.6.2")
 
 project (KActivityManagerd VERSION ${PROJECT_VERSION})

=== debian/changelog ===
kactivitymanagerd (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:21:07 +0000
